Bug 473115 - Slow performance with Radeon 7500 and Fedora 10
Slow performance with Radeon 7500 and Fedora 10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
: 485651 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 10:59 EST by Jesse Kahtava
Modified: 2018-04-11 12:26 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:57:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log when not using xorg.conf (68.35 KB, text/plain)
2008-11-26 11:14 EST, Jesse Kahtava
no flags Details
Xorg.0.log when using xorg.conf (75.19 KB, text/plain)
2008-11-26 11:22 EST, Jesse Kahtava
no flags Details
xorg.conf using XAA (1.87 KB, text/plain)
2008-11-26 11:23 EST, Jesse Kahtava
no flags Details
dmesg output (34.16 KB, text/plain)
2008-11-26 11:25 EST, Jesse Kahtava
no flags Details
my X log (69.78 KB, text/plain)
2009-04-20 07:26 EDT, Dan Williams
no flags Details
sysprof of flipping between 2 tabs in gnome-terminal (97.09 KB, image/png)
2009-04-20 13:09 EDT, Dan Williams
no flags Details
bzip2-ed raw sysprof dump (10.59 KB, application/x-bzip)
2009-04-20 13:11 EDT, Dan Williams
no flags Details
drill-down into slow call stack (38 bytes, text/plain)
2009-04-20 13:24 EDT, Dan Williams
no flags Details
drill-down into slow call stack (120.78 KB, image/png)
2009-04-20 13:26 EDT, Dan Williams
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 132707 None None None Never

  None (edit)
Description Jesse Kahtava 2008-11-26 10:59:27 EST
Description of problem:
I have a Thinkpad T40 with a Radeon 7500 and with the upgrade from F9 to F10 I see terrible graphics performance. Compiz is pretty well unusable when running most programs. Scrolling and moving windows is slow. Even when using metacity the desktop is not as quick as it used to be. I have nomodeset in grub.conf (though modesetting doesn't appear to work for this chip anyway). I was able to gain some extra performance by creating a xorg.conf and setting Option "AccelMethod" "XAA".

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Log in through GDM
2. Start using Gnome
  
Actual results:
Things are slower than with Fedora 9

Expected results:
An equally fast or faster desktop with Fedora 10

Additional info:
Comment 1 Jesse Kahtava 2008-11-26 11:14:36 EST
Created attachment 324751 [details]
Xorg.0.log when not using xorg.conf
Comment 2 Jesse Kahtava 2008-11-26 11:22:42 EST
Created attachment 324752 [details]
Xorg.0.log when using xorg.conf
Comment 3 Jesse Kahtava 2008-11-26 11:23:34 EST
Created attachment 324753 [details]
xorg.conf using XAA
Comment 4 Jesse Kahtava 2008-11-26 11:25:04 EST
Created attachment 324754 [details]
dmesg output
Comment 5 Jesse Kahtava 2008-11-26 11:29:12 EST
Smolt Profile: http://www.smolts.org/client/show/pub_52d7367e-80d0-479c-bb50-e5218741cf0c
Comment 6 srebrny.wilk 2008-11-30 17:42:57 EST
The same issue (terrible slowdown of all compiz-generated window effects) when migrating from F9 to F10 on Toshiba A200 Satellite notebook (Dual Core 1.85GHz CPU, Intel I945 graphics chipset). While on F9 all compiz effects worked fine (however, with Indirect Rendering, and without the bilinear filtering), then on F10 they are incredibly slow. The same problem appears in both KDE and GNOME.

Upgrading compiz along with all F10 packages via PackageKit (System Upgrades, run on Nov 30th) didn't help a bit.

I also noticed that the slowdown is proportional to the area of the display to be affected by the effect, eg. a small window is not as clumsy to be moved or minimized as a big one. Rotating the desktop cube almost freezes the display for 10 seconds or so.
Comment 7 Ranjan 2008-12-02 20:48:23 EST
I have the same terrible performance on dell inspiron 9200. Using mobility radeon 9600 (rv3500). Fedora 9 is fine. 
Changing "AccelMethod" "XAA" returned a blank screen. EXA is equally unusable.
Comment 8 Ranjan 2008-12-05 07:16:08 EST
Is it related to modesetting ?


http://forums.fedoraforum.org/showthread.php?t=205691&highlight=fedora+radeon
Comment 9 Jesse Kahtava 2008-12-06 23:08:25 EST
The problem is _probably_ related to the ground work changes made to the radeon driver, but this chipset doesn't have kernel modesetting support yet. Nonetheless I have tried appending nomodeset to the kernel boot parameters and it doesn't seem to make a difference.
Comment 10 Jesse Kahtava 2008-12-08 19:51:21 EST
I recently upgraded to:
Name       : xorg-x11-drv-ati
Arch       : i386
Version    : 6.9.0
Release    : 61.fc10

EXA seems better, but is still much slower than XAA. In either case it is still unuseable with Compiz.
Comment 11 Jesse Kahtava 2008-12-25 10:24:23 EST
upgraded to:
Name       : xorg-x11-drv-ati
Arch       : i386
Version    : 6.9.0
Release    : 63.fc10

2D performance is much better - not as much tearing and stuttering when moving windows around using metacity. It's great to see regression fixes are coming along!
Redrawing after changing workspaces is slower than XAA still, though, and Compiz is unusable. Also, Xorg with EXA seems to use more CPU time than with XAA.
Comment 12 Siobhan 2009-01-11 01:04:27 EST
On Fedora 10 using a default installation on a Compaq Presario X1000 with video card "PCI:*(0@1:0:0) ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] rev 1," the 2D performance in X11 is observed to be markedly slower than in Fedora 9.  No xorg.conf was used, as well as an xorg.conf that included:

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	BusID       "PCI:1:0:0"
EndSection

no change in screen performance was observed.

Per notes in Ubuntu Launchpad bug 132707, added these option to Device section listed above:

	Option      "AccelMethod" "EXA"
	Option      "AccelDFS" "True"
	Option      "MigrationHeuristic" "greedy"

Adding these options this causes performance to improve significantly, however, using these options with Compiz causes screen corruption (believe this to be related to issues with AccelDFS and AGP).

The options listed restore X11 performance to Fedora 9 levels on the affected system, but do not allow Compiz to function without total-screen corruption.
Comment 13 Joonas Sarajärvi 2009-02-25 00:36:35 EST
I can also confirm that Fedora 10's graphics performance seems significantly reduced when compared to Fedora 9 on my Thinkpad T41, which has a radeon 7500. ( Smolt url http://smolt.fedoraproject.org/show?uuid=pub_9a5674cf-bc87-405c-b283-598d89524841 )

I don't use or need Compiz or other composited eyecandy, but would very much like to have the web browsers and other usual software working smoothly.
Comment 14 Joonas Sarajärvi 2009-02-25 00:47:01 EST
Additional note:

Switching to the vesa driver (!) solves most of the 2D drawing problems. I can now scroll a simple PDF or this web page at least ten times the "fps" as before. It even appears very smooth and fast-responding, which the radeon driver currently doesn't offer on my hardware.

Could the radeon driver become this fast if most of the 2D acceleration stuff was turned off? I'd still like to have 3D support around for some light OpenGL software.
Comment 15 Dan Williams 2009-04-20 07:25:02 EDT
Just updated from F9 to F10 on my T41, also with a Radeon 7500.  Holy crap performance is bad now, even without compiz and anything 3D.  Just 2D in metacity, moving windows around, switching tabs in gnome-terminal, etc is pretty laggy.  Anything I can do to help?

Linux localhost.localdomain 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386 GNU/Linux

xorg-x11-server-Xorg-1.5.3-15.fc10.i386
xorg-x11-drv-ati-6.10.0-2.fc10.i386
Comment 16 Dan Williams 2009-04-20 07:26:34 EDT
Created attachment 340320 [details]
my X log
Comment 17 Dan Williams 2009-04-20 13:09:17 EDT
Created attachment 340383 [details]
sysprof of flipping between 2 tabs in gnome-terminal
Comment 18 Dan Williams 2009-04-20 13:11:22 EDT
Created attachment 340384 [details]
bzip2-ed raw sysprof dump
Comment 19 Dan Williams 2009-04-20 13:24:59 EDT
Created attachment 340390 [details]
drill-down into slow call stack
Comment 20 Dan Williams 2009-04-20 13:26:03 EDT
Created attachment 340391 [details]
drill-down into slow call stack
Comment 21 Dan Williams 2009-04-20 14:14:50 EDT
[dcbw@localhost ~]$ cat /etc/X11/xorg.conf
Section "Device"
 Identifier "ATI Radeon"
 Driver "radeon"
 Option "AccelMethod" "EXA"
 Option "MigrationHeuristic" "greedy"
EndSection
[dcbw@localhost ~]$ 

So MigrationHeuristic "greedy" as suggested above greatly improves 2D performance; seems that current X servers default to "always" (exa/exa.c) for some reason.  Ajax was ranting on the "always" heuristics supposed stupidity on IRC after I poked him about this, and unfortunately it doesn't look like there's a way to allow the driver-specific code to set a default EXA migration heurisitic, otherwise we could potentially have older radeon parts default to "greedy" or something.
Comment 22 Dan Williams 2009-04-20 14:22:45 EDT
But yeah, compiz is pretty broken with 'greedy'.
Comment 23 Shadab I. Wadiwala 2009-05-14 17:42:04 EDT
(In reply to comment #0)
> Description of problem:
> I have a Thinkpad T40 with a Radeon 7500 and with the upgrade from F9 to F10 I
> see terrible graphics performance. Compiz is pretty well unusable when running
> most programs. Scrolling and moving windows is slow. Even when using metacity
> the desktop is not as quick as it used to be. I have nomodeset in grub.conf
> (though modesetting doesn't appear to work for this chip anyway). I was able to
> gain some extra performance by creating a xorg.conf and setting Option
> "AccelMethod" "XAA".
> Version-Release number of selected component (if applicable):
> How reproducible:
> Everytime
> Steps to Reproduce:
> 1. Log in through GDM
> 2. Start using Gnome
> Actual results:
> Things are slower than with Fedora 9
> Expected results:
> An equally fast or faster desktop with Fedora 10
> Additional info:  

Hi Jesse,

I have a query for you...

Is your Video adapter only a ATI Radeon 7500 OR ATI "Mobility" Radeon 7500   ????

I have IBM Thinkpad R40 with ATI mobility Radeon 7500

Same issue of slow performance on F10 

I added the following two parameters in Xorg.conf

Option "AccelMethod" "EXA"
Option "AccelDFS" "true"

THE CPU percentage for Xorg process has considerably reduced.

I can use Firefox tabs with ease ( almost immediate response to mouse click )

Also when I click any icon in Dolphin, it opens up almost immediately

I hope my inputs will help in speedy resolution of this bug

Regards,
Shadab I. Wadiwala
Comment 24 Siobhan 2009-05-20 10:25:00 EDT
Whatever changed between Fedora 10 and the upcoming Fedora 11 solved this issue on the Compaq X1000 laptop with ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] after upgrading to Fedora 11.

Relevant F11 xorg.conf settings are:

Section "ServerFlags"
	Option	    "AIGLX" "on"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	BusID       "PCI:1:0:0"
	Option	    "NoAccel" "No"
	Option	    "AGPMode" "4"
	Option	    "AGPFastWrite" "No"
	Option	    "BusType" "AGP"
	Option	    "IgnoreEDID" "No"
	Option	    "PanelSize" "1920x1200"
	Option      "EnablePageFlip" "True"
	Option	    "RenderAccel" "Yes"
	Option      "AccelMethod" "EXA"
	Option      "AccelDFS" "True"
	Option	    "LVDSProbePLL" "On"
EndSection


compiz works perfectly as well -- no slowdowns, related stability issues or other issues related to the graphics system.  Additionally, the startup screen works flawlessly at 1920x1200 on the LVDS with no changes to the modesetting system.
Comment 25 Matěj Cepl 2009-05-22 06:52:12 EDT
Can somebody (especially reporter) confirm this to be fixed in F11?
Comment 26 Jesse Kahtava 2009-05-22 09:07:25 EDT
On rawhide, when using the default settings (no xorg.conf) and kernel modesetting, things seem to be much better. 3d performance is acceptable, though not as fast as F9. It's great to see this moving forward! Should we close this?
Comment 27 Shadab I. Wadiwala 2009-05-22 09:32:06 EDT
Hi,

It would be better if we can have someone from Redhat or Fedora team confirming it to be fixed in F11 ..
Comment 28 Charlie Brady 2009-06-16 09:52:19 EDT
My video card is:

ATI Technologies Inc RV370 5B60

I'm using radeon driver: xorg-x11-drv-ati-6.10.0-2.fc10.x86_64

I've tried both vanilla driver settings and these - both very, very slow rendering (terminal, Firefox, i.e. nothing remotely fancy).

# https://bugzilla.redhat.com/show_bug.cgi?id=242386
        Option      "AccelMethod" "EXA"
        Option      "AccelDFS" "on"

I can upgrade to FC11, but I'd rather test and confirm a workaround or fix for FC10 before doing that.
Comment 29 Jesse Kahtava 2009-06-16 09:56:50 EDT
I think "the fix" itself is to upgrade to Fedora 11. A lot has changed in the way the graphics drivers work between Fedora 9 and 11. Fedora 10 is sort of half way there and didn't work well for me. Fedora 11 is much better.
Comment 30 Jesse Kahtava 2009-06-16 10:00:15 EDT
Also I should note that a fresh install is probably better than a yum upgrade to take advantage of all the changes. Maybe try out the livecd and see how things feel.
Comment 31 Charlie Brady 2009-06-16 10:02:30 EDT
(In reply to comment #29)
> I think "the fix" itself is to upgrade to Fedora 11.

That's not a fix for FC10.

I've switched to using the vesa driver, and performance is now bearable at least.
Comment 32 Matěj Cepl 2009-07-24 08:19:17 EDT
*** Bug 485651 has been marked as a duplicate of this bug. ***
Comment 33 Bug Zapper 2009-11-18 03:58:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Bug Zapper 2009-12-18 01:57:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 35 Richard Jasmin 2015-09-16 16:29:08 EDT
Triaged by many a Linux people, no fix.You can tweak older hardware but newer hardware such as 7800 series as a whole still suffers greatly from this, even with FC22.Changing a version release isnt the issue.

Its a core issue with radeon/ATI driver. Yes, KMS is here now, but it doesnt make much difference.And try setting below 24bit desktop(or switch to console tty in proprietary driver enabled)..it doesnt work. You get a black screen.

I know for a fact these modes are supported. I checked them out with freedos running an old VESA2 demo.The cards say they support 3, which was never realized as a standard but there is no 32-bit access point as required for vesa3 to work.Again, tested via freedos probing.Its a simple check for a VESA VBE string.IT ISNT THERE.

As ive posted elsewhere on another bug report, either the whole xorg and then some needs a code review or we have to really really look at why proprietary and even open source drivers arent working correctly on Linux.In other ways they are on par with the windows versions.

3D works and works well but with lagging 2d support its just awful.Using a 3d enabled desktop(how to do 3d a FLAT rectangle?) only exaserbates the underlying issues.

The core windowing code was made by Borland many a years ago and works near flawlessly.Its whatever was added on top of it and core drivers we need to look at.

Im running twin HD 7850s myself.Never really cared for ATI, Im an nVidia person but they are great for coin mining.(if 20 coins a day is ok)

Dunno about wontfix. CANTFIX?

Note You need to log in before you can comment on or make changes to this bug.